#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Mar 20 17:50:19 2020

@author: xofe
"""
from math import sin, cos, pi
import matplotlib.pyplot as plt

R = 5
V0 = 15
alpha = [2 * i * pi / 50 for i in range(51)]
x = [R * cos(a) for a in alpha]
y = [R * sin(a) for a in alpha]
vx = [-V0 * sin(a) for a in alpha]
vy = [V0 * cos(a) for a in alpha]
Dvx = [vx[i+1] - vx[i-1] for i in range(1, 50)]
Dvy = [vy[i+1] - vy[i-1] for i in range(1, 50)]
plt.scatter(0, 0, marker = "+", color = "black")
plt.scatter(x, y, marker = "o", color = "blue")
plt.quiver(x, y, vx, vy, units = "dots", color = "red", scale = 0.1, label = "Vecteurs vitesse")
plt.quiver(x[1:-1:], y[1:-1:], Dvx, Dvy, units = "dots", scale = 0.1, color = "green", label = "Vecteurs variation de vitesse")
plt.axis("equal")
plt.show()
plt.legend()